Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162482 - CAN-2005-2069 openldap password disclosure issue
Summary: CAN-2005-2069 openldap password disclosure issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard: impact=moderate,public=20050628,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 14:14 UTC by Josh Bressers
Modified: 2015-01-08 00:10 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-767
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-17 07:50:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:751 normal SHIPPED_LIVE Moderate: openldap and nss_ldap security update 2005-10-17 04:00:00 UTC
Red Hat Product Errata RHSA-2005:767 normal SHIPPED_LIVE Moderate: openldap and nss_ldap security update 2005-10-17 04:00:00 UTC

Description Josh Bressers 2005-07-05 14:14:58 UTC
+++ This bug was initially created as a clone of Bug #161990 +++

This information is from Rob Holland

Openldap currently doesn't allow a client to specify that referred
connections should use TLS. This can lead to passwords being sent in the
clear despite having "ssl start_tls" in ldap.conf.

In a master+slaves LDAP infrastructure passwords are sent in the clear
when a user runs "passwd" on a machine where pam_ldap is configured to
use a slave server.

pam_ldap connects to the slave over TLS (as specified in the ldap.conf
file) and then gets referred to the master in order to make a change.
TLS is never started on the referred connection and pam_ldap attempts to
bind in the clear. If the master server is not setup to require TLS on
all connections, this may go unoticed, as passwd will function as
normal.

The only place a client is able to try and start_tls for a referred
connection is inside rebind_proc. However, a bug in a sanity check in
the openldap code means that openldap considers that TLS has already
been started on the referrred connection if it has been started on the
first connection (it always checks the first connection, rather than
checking the default), and so this won't work.

Bugs have been filed on both openldap and pam_ldap:

http://www.openldap.org/its/index.cgi/Incoming?id=3791

http://bugzilla.padl.com/show_bug.cgi?id=210



This issue also affects nss_ldap, the patch is located here:
http://bugzilla.padl.com/show_bug.cgi?id=211

Comment 1 Josh Bressers 2005-07-05 14:15:57 UTC
This issue may also affect RHEL2.1 and RHEL3

Comment 3 Red Hat Bugzilla 2005-10-17 07:36:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-751.html


Comment 4 Red Hat Bugzilla 2005-10-17 07:50:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-767.html



Note You need to log in before you can comment on or make changes to this bug.